%define anolis_release 1
Summary: The libglade library for loading user interfaces
Name: libglade2
Version: 2.6.4
Release: %{anolis_release}%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Source: http://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
URL: http://www.gnome.org
Requires: xml-common
BuildRequires: libxml2-devel 
BuildRequires: gtk2-devel 
BuildRequires: fontconfig
BuildRequires: pango-devel
BuildRequires: libtool
BuildRequires: gettext-devel

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%package doc
Summary: The libglade documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
The libglade-doc package contains the documentation for libglade.

%prep
%autosetup -n libglade-%{version}

%build
%configure --disable-gtk-doc --disable-static
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/libglade/2.0
%make_install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%files
%defattr(-, root, root,-)
%license COPYING
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_datadir}/xml/libglade
%{abidir}/lib*.dump

%files devel
%defattr(-, root, root,-)
%doc test-libglade.c
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/libglade


%files doc
%doc AUTHORS NEWS README
%doc doc/html/*

%changelog
* Sat Mar 25 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.6.4-1
- Init package from upstream
